package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFAppSettingMapper;
import com.sa.ibiz.demo.demo.domain.WFAppSetting;
import com.sa.ibiz.demo.demo.service.WFAppSettingService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFAppSettingSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.MsgTemplateService;

/**
 * 实体[WFAppSetting] 服务对象接口实现
 */
@Service
public class WFAppSettingServiceImpl extends ServiceImplBase<WFAppSettingMapper, WFAppSetting> implements WFAppSettingService{

    @Autowired
    private MsgTemplateService remindmsgtemplService;

    @Resource
    private WFAppSettingMapper wfappsettingMapper;


    @Override
    public boolean create(WFAppSetting et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFAppSetting et){
        this.beforeUpdate(et);
		this.wfappsettingMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFAppSetting et){
		return et.getWfappsettingid();  
    }

    @Override
    public boolean getDraft(WFAppSetting et)  {
    if((!StringUtils.isEmpty(et.getRemindmsgtemplid())) && et.getRemindmsgtempl() == null){
            try {
                et.setRemindmsgtempl(remindmsgtemplService.getById(et.getRemindmsgtemplid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFAppSetting> listDefault(WFAppSettingSearchFilter filter) {
		return wfappsettingMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFAppSetting> searchDefault(WFAppSettingSearchFilter filter) {
		return wfappsettingMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfappsettingMapper.selectRow(sql);
    }

 }